<?php
include 'include/header.php';

if (isset($_POST['submit'])) {
    $employee_code = htmlspecialchars($_POST['employee_code']);
    $name = htmlspecialchars($_POST['name']);
    $joining = htmlspecialchars($_POST['joining']);
    $target = htmlspecialchars($_POST['target']);
    $designation = htmlspecialchars($_POST['designation']);
    $from_date = htmlspecialchars($_POST['from_date']);
    $to_date = htmlspecialchars($_POST['to_date']);
    $password = password_hash($_POST['password'], PASSWORD_DEFAULT);

    $stmt = $conn->prepare("SELECT COUNT(*) FROM `executive` WHERE mobile = ?");
    $stmt->bind_param("s", $employee_code);
    $stmt->execute();
    $stmt->bind_result($codeCount);
    $stmt->fetch();
    $stmt->close();

    if ($codeCount > 0) { ?>
        <script>
            setTimeout(function() {
                swal({
                    title: "Employee Number Already Exists",
                    text: "Try Again!",
                    type: "error"
                }).then(function() {
                    window.location.href = 'add_employee.php';
                });
            }, 1000);
        </script>
        <?php } else {
        $stmt = $conn->prepare("SELECT COUNT(*) FROM `executive` WHERE `username` = ?");
        $stmt->bind_param("s", $name);
        $stmt->execute();
        $stmt->bind_result($nameCount);
        $stmt->fetch();
        $stmt->close();

        if ($nameCount > 0) { ?>
            <script>
                setTimeout(function() {
                    swal({
                        title: "Employee Name Already Exists",
                        text: "Type a different name",
                        type: "error"
                    }).then(function() {
                        window.location.href = 'add_employee.php';
                    });
                }, 1000);
            </script>
            <?php } else {
            $stmt = $conn->prepare("INSERT INTO `executive`(`username`, `mobile`, `designation`, `joining`, `target`, `from_date`, `to_date`, `password`) VALUES (?, ?, ?, ?, ?, ?, ?, ?)");
            $stmt->bind_param("ssssssss", $name, $employee_code, $designation, $joining, $target, $from_date, $to_date, $password);

            if ($stmt->execute()) { ?>
                <script>
                    setTimeout(function() {
                        swal({
                            title: "User Data Successfully Created",
                            text: "ABS Team",
                            type: "success"
                        }).then(function() {
                            window.location.href = 'employee_show.php';
                        });
                    }, 1000);
                </script>
            <?php
            } else { ?>
                <script>
                    setTimeout(function() {
                        swal({
                            title: "Error",
                            text: "Failed to create user data",
                            type: "error"
                        }).then(function() {
                            window.location.href = 'add_employee.php';
                        });
                    }, 1000);
                </script>
<?php
            }
            $stmt->close();
        }
    }
}
?>


<div class="page-wrapper">
    <div class="page-content">
        <div class="row">
            <div class="col-xl-12 mx-auto">
                <div class="card">
                    <h6 class="mb-0 text-uppercase card-header">Executives Add</h6>
                 <button class="btn btn-primary" onclick="history.go(-1);" style="width:100px;margin:5px"><i class="fa fa-arrow-left" style="margin-right: 0;" aria-hidden="true"></i> Back </button>

                    <div class="card-body">
                        <form class="row needs-validation" autocomplete="off" novalidate action="" method="POST">
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Executives Number</label>
                                <select name="employee_code" class="form-control" id="mobile" required>
                                    <option value="">Select Employee Number</option>
                                    <?php
                                    $sql = "SELECT * FROM `employee` WHERE `status` = '1'";
                                    $result = $conn->query($sql);
                                    while ($line = $result->fetch_assoc()) { ?>
                                        <option
                                            value="<?= $line['employee_mobile'] ?>">
                                            <?= $line['name'] ?>
                                        </option>
                                    <?php } ?>
                                </select>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Name</label>
                                <input type="text" name="name" id="name" class="form-control" readonly required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Joining Date</label>
                                <input type="text" name="joining" id="date_of_joining" class="form-control" readonly required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Designation</label>
                                <input type="text" class="form-control" id="designation" name="designation" readonly required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Set Target</label>
                                <input type="number" name="target" class="form-control" required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">From Date</label>
                                <input type="date" name="from_date" class=" form-control " required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">To Date</label>
                                <input type="date" name="to_date" class="form-control" required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label col-md-3">Password</label>
                                <input type="text" name="password" class="form-control" required>
                            </div>
                            <div class="col-12 text-center">
                                <input class="btn btn-success" type="submit" name="submit">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include 'include/footer.php' ?>

<script>
    $(document).ready(function() {
        $('#mobile').on('change', function() {
            let mobile = $(this).val();

            $.ajax({
                url: 'getEmpDetails.php',
                type: 'POST',
                data: {
                    mobile: mobile
                },
                dataType: 'json',
                success: function(response) {
                    if (response.success) {
                        $('#name').val(response.data.name);
                        $('#date_of_joining').val(response.data.joining_date);
                        $('#designation').val(response.data.designation);
                    } else {
                        $('#name').val('');
                        $('#date_of_joining').val('');
                        $('#designation').val('');
                    }
                },
                error: function(xhr, status, error) {
                    console.error('Ajax error:', status, error);
                    alert('An error occurred while fetching data.');
                }
            });
        });
    });
</script>